<?php
  define ("ACCURACY", 0.0000000000001);

  echo "Enter a non-negative number: ";
  $y = trim(fgets(STDIN));
  while (is_numeric($y) != true || $y < 0) {
    echo "Invalid value. Enter a non-negative number: ";
    $y = trim(fgets(STDIN));
  }
  $guess = rand(1, $y);	//Make a random first guess
                        //between 1 and given value

  while (abs($guess * $guess - $y) > ACCURACY) { 	//is it "close enough"?
    $guess = ($guess + $y / $guess) / 2;		//No, create a new "guess"!
  }
  echo $guess;
?>
