<?php
  echo "Enter number of Kilowatt-hours consumed: ";
  $kwh = trim(fgets(STDIN));

  if (is_numeric($kwh) != true) {
    echo "Entered value contains non-numeric characters";
  } 
  elseif ($kwh < 0) {
    echo "Entered value is negative";
  }
  else {
    if ($kwh <= 500) {
      $t = $kwh * 0.10;
    }
    elseif ($kwh <= 2000) {
      $t = 0.25 * $kwh - 75;
    }
    elseif ($kwh <= 4000) {
      $t = 0.4 * $kwh - 375;
    }
    else {
      $t = 0.6 * $kwh - 1175;
    }

    $t = 1.10 * $t;  	//This is equivalent to 
                       	//$t = $t + $t * 10 / 100
                    	//but more efficient 

    echo "Total amount to pay (taxes included): ", $t;
  }
?>
