<?php
  echo "Enter a message: ";
  $message = trim(fgets(STDIN));
  
  //Convert all letters to lowercase
  $message = strtolower($message);
  
  //This is the last position of $message
  $last_pos = strlen($message) - 1;  
  
  //Create a new string which contains letters except
  //spaces, commas, periods or questionmarks
  $message_clean = "";
  for ($i = 0; $i <= $last_pos; $i++) {
    if ($message[$i] != " " && $message[$i] != "," &&
        $message[$i] != "." && $message[$i] != "?") {
      
      $message_clean .= $message[$i];
    }
  }

  //This is the middle position of $message_clean
  $middle_pos = intval((strlen($message_clean) - 1) / 2);
  
  //This is the last position of $message_clean
  $j = strlen($message_clean) - 1; 
  
  //In the beginning, assume that sentence is palindrome
  $palindrome = true;
  $i = 0;
  while ($i <= $middle_pos && $palindrome == true) {
    if ($message_clean[$i] != $message_clean[$j]) {
      $palindrome = false;
    }
    $j--;
    $i++;
  }

  
  //If variable $palindrome is still true
  if ($palindrome == true) {
    echo "The message is palindrome";
  }
?>
