<?php
  define("TEAMS", 32);
  define("PLAYERS", 24);

  //Read team names, player names and goals all together
  $t = array();
  $p = array(array());
  $g = array(array());
  for ($i = 0; $i <= TEAMS - 1; $i++) {
    echo "Enter name for team No. ", $i + 1, ": ";
    $t[$i] = trim(fgets(STDIN));
    for ($j = 0; $j <= PLAYERS - 1; $j++) {
      echo "Enter name of player No. ", $j + 1, ": ";
      $p[$i][$j] = trim(fgets(STDIN));
      echo "Enter goals of player No. ", $j + 1, ": ";
      $g[$i][$j] = trim(fgets(STDIN));
    }
  }
  
  //sort array $g
  for ($i = 0; $i <= TEAMS - 1; $i++) {
    $m = 1;
    $swaps = true;
    while ($m <= PLAYERS - 1 && $swaps == true) {        
      $swaps = false;
      for ($n = PLAYERS - 1; $n >= $m; $n--) {
        if ($g[$i][$n] > $g[$i][$n - 1]) {
          $temp = $g[$i][$n];
          $g[$i][$n] = $g[$i][$n - 1];
          $g[$i][$n - 1] = $temp;

          $temp = $p[$i][$n];
          $p[$i][$n] = $p[$i][$n - 1];
          $p[$i][$n - 1] = $temp;

          $swaps = true;
        }
      }
      $m++;
    }
  }

  //Display 5 best scorers of each team
  for ($i = 0; $i <= TEAMS - 1; $i++) {
    echo "\nBest scorers of ", $t[$i], "\n";
    echo "-----------------------------------\n";
    for ($j = 0; $j <= 4; $j++) {
      echo $p[$i][$j], " scored ", $g[$i][$j], " goals\n";
    }
  }  
?>
