<?php
  function display_menu() {
    echo "1. Convert USD to Euro (EUR)\n";
    echo "2. Convert USD to British Pound Sterling (GBP)\n";
    echo "3. Convert USD to Japanese Yen (JPY)\n";
    echo "4. Convert USD to Canadian Dollar (CAD)\n";
    echo "5. Exit\n";
    echo "-------------------------\n";
    echo "Enter a choice: ";
  }
  
  function USD_to_Euro($value) {
    return $value * 0.72;
  }
  
  function USD_to_GBP($value) {
    return $value * 0.60;
  } 

  function USD_to_JPY($value) {
    return $value * 102.15;
  } 

  function USD_to_CAD($value) {
    return $value * 1.10;
  } 

  do { 
    display_menu();
    $choice = trim(fgets(STDIN));

    if ($choice == 5) {
      echo "Bye!";
    }
    else {
      echo "Enter an amount in US dollars: ";
      $amount = trim(fgets(STDIN));
      switch ($choice) {
        case 1:
          echo $amount, " USD = ", USD_to_Euro($amount), " Euro\n";
          break;
        case 2:
          echo $amount, " USD = ", USD_to_GBP($amount), " GBP\n";
          break;
        case 3:
          echo $amount, " USD = ", USD_to_JPY($amount), " JPY\n";
          break;
        case 4:
          echo $amount, " USD = ", USD_to_CAD($amount), " CAD\n";
          break;
      }
    }
  } while ($choice != 5);
?>
