<?php
  function get_consumption() {
    echo "Enter kWh consumed: ";
    $kwh = trim(fgets(STDIN));
    while (is_numeric($kwh) != true || $kwh < 0) {
      echo "Error: Invalid number! \n";
      echo "Enter a non-negative number: ";
      $kwh = trim(fgets(STDIN));
    }
    return $kwh;
  }
  
  function find_amount($kwh) {
    if ($kwh <= 400) {
      $amount = $kwh * 0.08;
    }
    elseif ($kwh <= 1500) {
      $amount = 400 * 0.08 + ($kwh - 400) * 0.22;
    }
    elseif ($kwh <= 3000) {
      $amount = 400 * 0.08 + 1100 * 0.22 + ($kwh - 1500) * 0.35;
    }
    else {
      $amount = 400 * 0.08 + 1100 * 0.22 + 1500 * 0.35 + ($kwh - 3000) * 0.50;
    }
    
    $amount += 0.26 * $amount;
    return $amount;
  }

  do {
    $kwh = get_consumption();
    echo "You need to pay: $", find_amount($kwh), "\n";

    echo "Would you like to repeat?\n";
    $answer = trim(fgets(STDIN));
  } while (strtoupper($answer) == "YES");
?>
